/*
    This file is part of BlueJoy.

    BlueJoy is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BlueJoy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with BlueJoy.  If not, see <http://www.gnu.org/licenses/>.
*/

package org.bluejoy.controller;

import org.bluejoy.model.Model;
import org.bluejoy.view.StatusBarPanel;



public class StatusBarController 
{
	private StatusBarPanel statusBarPanel;
	private Model model;
	
	
	//constructor
	public StatusBarController()
	{
		statusBarPanel = null;
		model = null;
	}
	
	
	//init
	public void init(Model model, StatusBarPanel statusBarPanel)
	{
		this.model = model;
		this.statusBarPanel = statusBarPanel;
	}

	
	//getters and setters
	public StatusBarPanel getStatusBar() {
		return statusBarPanel;
	}
}
