/*
    This file is part of BlueJoy.

    BlueJoy is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BlueJoy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with BlueJoy.  If not, see <http://www.gnu.org/licenses/>.
*/

package org.bluejoy.model;

import javax.bluetooth.UUID;


public class ServiceProfile
{
	private String serviceName;
	private UUID serviceUUID; 
	private String serviceUrl;
	
	
	public ServiceProfile()
	{
		serviceName = null;
		serviceUUID = null;
		serviceUrl = null;
	}
	
	public ServiceProfile(String name, UUID uuid, String url)
	{
		serviceName = name;
		serviceUUID = uuid;
		serviceUrl = url;
	}

	
	//getters and setters
	public String getServiceName() {
		return serviceName;
	}

	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}

	public String getServiceUrl() {
		return serviceUrl;
	}

	public void setServiceUrl(String serviceUrl) {
		this.serviceUrl = serviceUrl;
	}

	public UUID getServiceUUID() {
		return serviceUUID;
	}

	public void setServiceUUID(UUID serviceUUID) {
		this.serviceUUID = serviceUUID;
	}
}
